dpkg-cross (2.6.19) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format (Closes: #1007075).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Thu, 24 Nov 2022 20:47:05 +0100

dpkg-cross (2.6.18+nmu3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #835925)

 -- Marcos Talau <talau@debian.org>  Wed, 09 Nov 2022 14:50:26 -0300

dpkg-cross (2.6.18+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Mark cross-config Multi-Arch: foreign.
  * Reduce maintainer scripts:
    + Delete dpkg-cross.preinst.
    + Delete dpkg-cross.prerm.
    + Delete diversion cleanup from dpkg-cross.postinst.
  * Declare compliance with policy 4.6.0.
    + Emit priority optional instead of extra in generated packages.
  * cross-config: Set xorg_cv_malloc0_returns_null. (Closes: #861073)

  [ YunQiang Su ]
  * Support mips r6 dynamic linker. (Closes: #993059)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 28 Aug 2021 07:23:28 +0200

dpkg-cross (2.6.18+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix glibc's ld.so paths in ldscripts. (Closes: #988052)

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 10 May 2021 20:42:09 +0200

dpkg-cross (2.6.18) unstable; urgency=medium

  * Remove spurious .debs included in package (Closes: #988041)

 -- Wookey <wookey@debian.org>  Tue, 04 May 2021 22:50:20 +0100

dpkg-cross (2.6.17) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark dpkg-crossed packages Multi-Arch: foreign (Closes: #963759)

  [ Wookey ]
  * Update to compat level 10 (last supported by cdbs) (Closes: #965496))

 -- Wookey <wookey@debian.org>  Thu, 25 Feb 2021 22:57:55 +0000

dpkg-cross (2.6.16) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix conversion of arch qualified relations (Closes: #982868)

  [ Wookey ]
  * Revert to native package numbering (Closes: #953597)

 -- Wookey <wookey@debian.org>  Sat, 20 Feb 2021 03:42:20 +0000

dpkg-cross (2.6.15-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ YunQiang Su ]
  * skip ld.so.1 in /usr/$(multiarch)/lib for mips n32, mips 64 and sparc64
    (Closes: #881687)

  [ Helmut Grohne ]
  * Arch qualify dependencies in shlibs files. (Closes: #955631)
  * Remove all ac_cv_sizeof_* variables. (Closes: #959524)
    Thanks to Jessica Clarke for identifying the gcc-V FTCBFS cause.
  * Drop ac_cv_header_readline_h from cross-config.cache. (Closes: #931077)
  * Update Priority from extra to optional.
  * Delete dysfunctional Homepage.

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 22 Jun 2020 05:55:01 +0200

dpkg-cross (2.6.15-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * cross-config: Ensure that every release arch uses the common file.
    (Closes: #868483)

 -- Wookey <wookey@debian.org>  Sun, 26 May 2019 22:33:37 +0100

dpkg-cross (2.6.15-2) unstable; urgency=medium

  * Make code perl 5.26-compatible (escape left braces in regexps).
    (Thanks to Gregor Herman) (Closes: #869433)

 -- Wookey <wookey@debian.org>  Mon, 24 Jul 2017 17:09:56 +0100

dpkg-cross (2.6.15-1) unstable; urgency=medium

   * Adopted by Wookey

 -- Wookey <wookey@debian.org>  Tue, 11 Oct 2016 15:11:12 +0100

dpkg-cross (2.6.15) unstable; urgency=medium

  * Add Breaks & Replaces for dpkg-cross 2.6.13 (Closes: #831641)

 -- Neil Williams <codehelp@debian.org>  Mon, 18 Jul 2016 20:08:45 +0100

dpkg-cross (2.6.14) unstable; urgency=medium

  * Create cross-config package which will remain after the
    deprecated dpkg-cross and libdebian-dpkgcross-perl binares
    are removed from this package in time for the Stretch release.
  * In light of deprecation of the dpkg-cross binary, drop the
    default_arch support and associated debconf support.
    (Closes: #771496)

 -- Neil Williams <codehelp@debian.org>  Tue, 12 Jul 2016 19:09:54 +0100

dpkg-cross (2.6.13) experimental; urgency=medium

  * Fix behaviour where DEB_HOST_GNU_TYPE != DEB_HOST_MULTIARCH (e.g. i386)
    (Closes: 773266)
  * Merge Ubuntu dpkg-cross fixes:
    Handle datarootdir specially in .pc files: keep the original prefix
    Assume multiarch if encoutering a /usr/include/$crosstype/ file too.
    This fixes issues with arch-qualified include files being moved
    to doubly-qualified paths.
    Handle lines containing '${exec_prefix}/bin' specially in .pc files;
    these are normally development tools, so should keep the original
    (build arch) prefix.  (For example, orbit_idl in ORBit-2.0.pc.)

 -- Wookey <wookey@debian.org>  Fri, 23 Jan 2015 16:02:07 +0000

dpkg-cross (2.6.12) experimental; urgency=medium

  * Remove ac_cv_sizeof_off_t as supreceded by AC_SYS_LARGEFILE (Closes: 776010)
  * Support lib{hf,n32,sf,x32}. (Closes: 771497)
  * Ensure multilib ldscripts are fixed up. (Closes: 772045,649094)
  * Update uploaders list (Closes: 741476)
  * Include support for libo32 multilibs

 -- Wookey <wookey@debian.org>  Thu, 22 Jan 2015 19:18:29 +0000

dpkg-cross (2.6.11) unstable; urgency=low

  * Upload changes from experimental to unstable.

 -- Neil Williams <codehelp@debian.org>  Fri, 24 May 2013 20:28:54 +0100

dpkg-cross (2.6.10) experimental; urgency=low

  * Fix include directories in cflags values of pkg-config files
    (Closes: #697695)

 -- Neil Williams <codehelp@debian.org>  Thu, 21 Mar 2013 17:42:37 +0000

dpkg-cross (2.6.9) experimental; urgency=low

  * Fix cmake integration use of variables and add explicit
    support for g++. (Closes: #695369)
  * Tell cmake about a cross pkg-config executable. (Closes:
    #695370)
  * Add qmake cross-building support.

 -- Neil Williams <codehelp@debian.org>  Sat, 08 Dec 2012 10:20:43 +0000

dpkg-cross (2.6.8) experimental; urgency=low

  * Add arm64 support, thanks to patch from Wookey, also
    adds more packages to the cross-config.cache and
    generalise some more common values. (Closes: #693730)
  * Target experimental.
  * Fix use of qw in list context for perl 5.14

 -- Neil Williams <codehelp@debian.org>  Sat, 24 Nov 2012 21:10:05 +0000

dpkg-cross (2.6.7) unstable; urgency=low

  * Confine the postrm to only removing the config files
    originally installed by dpkg-cross (Closes: #681755)

 -- Neil Williams <codehelp@debian.org>  Wed, 25 Jul 2012 20:50:50 +0100

dpkg-cross (2.6.6) unstable; urgency=low

  * [INTL:da] Danish translation of the debconf templates
    (Closes: #666536)
  * Drop deprecated CDBS rule. Update standards version.
  * [INTL:pt_BR] Brazilian Portuguese debconf templates
    (Closes: #650385)

 -- Neil Williams <codehelp@debian.org>  Sat, 31 Mar 2012 17:40:33 +0100

dpkg-cross (2.6.5) unstable; urgency=low

  * Add support for cross-building perl modules, patch from
    steve.mcintyre@linaro.org (Closes: #632871)

 -- Neil Williams <codehelp@debian.org>  Tue, 19 Jul 2011 18:25:39 +0100

dpkg-cross (2.6.4) unstable; urgency=low

  * Add depends on liblocale-gettext-perl to libdebian-dpkgcross-perl.
  * Update VCS location to Emdebian SVN.

 -- Neil Williams <codehelp@debian.org>  Thu, 23 Jun 2011 17:37:46 +0100

dpkg-cross (2.6.3) unstable; urgency=low

  [ Neil Williams ]
  * Drop old apt-cross multiarch behaviour - outdated.

  [ Wookey ]
  * Add (interim) --convert-multiarch behaviour to cross even
    multiarch packages (Closes: #619400)
  * Drop X11R6 lib/include dirs as they are no longer present

  [ Neil Williams ]
  * Drop unsupported variables from config file
  * Correct the value for libIDL_cv_long_long_format in /etc/dpkg-
    cross/cross-config.cache. (Closes: #618488)
  * Add tclconfig.sh to the list of interesting files for
    cross-building. (Closes: #618490)
  * Fix some unitialised variables in rarely used -Q option dpkg-cross
  * Fix handling of arch-dependent include headers under multi-arch only
    support.

 -- Neil Williams <codehelp@debian.org>  Fri, 01 Apr 2011 19:54:09 +0100

dpkg-cross (2.6.2) unstable; urgency=low

  * Only suggest binutils-multiarch (relies on changes
    in debhelper >= 8.1.2) (Closes: #591542)

 -- Neil Williams <codehelp@debian.org>  Tue, 22 Feb 2011 13:00:18 +0000

dpkg-cross (2.6.1) unstable; urgency=low

  * Target unstable.
  * Update standards version (no changes)

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Feb 2011 19:25:59 +0000

dpkg-cross (2.6.0) experimental; urgency=low

  * Add armhf support to cross-config (Closes: #605409)
  * Document file removal process (Closes: #599206)
  * Add translation support for runtime messages.
  * Move upload to experimental
  * Retain Section in converted package. (Closes: #592458)

 -- Neil Williams <codehelp@debian.org>  Wed, 08 Dec 2010 20:39:01 +0000

dpkg-cross (2.5.9) unstable; urgency=low

  * Downgrade binutils-multiarch to Recommends
  * Get dpkg-cross --version from dpkg-query.

 -- Neil Williams <codehelp@debian.org>  Mon, 07 Jun 2010 12:44:26 +0100

dpkg-cross (2.5.8) unstable; urgency=low

  * Ensure provides are rewritten for -cross mode.
  * Handle exclusions in the new Provides code.

 -- Neil Williams <codehelp@debian.org>  Sun, 25 Apr 2010 14:37:28 +0100

dpkg-cross (2.5.7) unstable; urgency=low

  * Append to any existing Provides field to avoid duplicate
    fields which now fail dpkg-deb parsing. (Closes: #578613)

 -- Neil Williams <codehelp@debian.org>  Thu, 22 Apr 2010 08:17:48 +0100

dpkg-cross (2.5.6) unstable; urgency=low

  * Implement transitionary support for Multi-Arch (Closes: #545464)
  * Allow for apt-cross to not be installed when checking list of
    multiarch packages (Closes: #566744)

 -- Neil Williams <codehelp@debian.org>  Tue, 09 Feb 2010 20:55:35 +0000

dpkg-cross (2.5.5) unstable; urgency=low

  * Ensure dependency_libs can handle quoting (Closes: #565295)
  * Add preliminary support for multiarch packages.
  * Incorporate some Ubuntu changes (thanks to Colin Watson) for parted
    and tcl support.

 -- Neil Williams <codehelp@debian.org>  Wed, 20 Jan 2010 12:25:44 +0000

dpkg-cross (2.5.4) unstable; urgency=low

  * Handle -dbg packages.

 -- Neil Williams <codehelp@debian.org>  Wed, 06 Jan 2010 18:53:17 +0000

dpkg-cross (2.5.3) unstable; urgency=low

  * Retain font metadata in /usr/share/fonts for xfonts-utils.
  * Add arch specific dlsearch_path config to remove rpath.
    (Closes: #484277)

 -- Neil Williams <codehelp@debian.org>  Thu, 02 Jul 2009 12:11:59 +0100

dpkg-cross (2.5.2) unstable; urgency=low

  * Update Vcs-Browser URL for alioth changes. (Closes: #528301)
  * Use /bin/bash for reportbug support script. (Closes: #530973)
  * Drop unused %crossprefixtable.

 -- Neil Williams <codehelp@debian.org>  Mon, 01 Jun 2009 16:16:11 +0100

dpkg-cross (2.5.1) unstable; urgency=low

  * Interim Emdebian release
  * Fix the source package identification, broken in 1.28.

 -- Neil Williams <codehelp@debian.org>  Sun, 29 Mar 2009 18:00:14 +0100

dpkg-cross (2.5.0) unstable; urgency=low

  * Fold Emdebian changes into Debian package. 
  * Update standards version (no changes)
  * tidy up some lintian errors in debian/control and copyright.

 -- Neil Williams <codehelp@debian.org>  Tue, 17 Mar 2009 13:45:52 +0000

dpkg-cross (2.4.2) unstable; urgency=low

  * Oops - typo fix for %crossprefixtable.

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Mar 2009 20:25:04 +0000

dpkg-cross (2.4.1) unstable; urgency=low

  * Fix typo when building 64bit libraries with dpkg-cross
    (Closes: #517076)
  * Remove legacy code from the module.

 -- Neil Williams <codehelp@debian.org>  Mon, 09 Mar 2009 17:47:47 +0000

dpkg-cross (2.4.0) unstable; urgency=low

  * Merge Emdebian releases into Debian.
  * Remove dependencies on outdated -dcv1 compatibility packages,
    retain Provides for now. (Closes: #514249)

 -- Neil Williams <codehelp@debian.org>  Sun, 15 Feb 2009 11:25:46 +0000

dpkg-cross (2.3.6) unstable; urgency=low

  * Fix cache support for packages with unusual AC_INIT calls.
  * Add cache support for mipsel.

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Feb 2009 20:04:18 +0000

dpkg-cross (2.3.5) unstable; urgency=low

  * [INTL:es] Spanish debconf template translation for dpkg-cross
    (Closes: #514604)
  * Implement support for package-specific cache values using CONFIG_SITE
    and /etc/dpkg-cross/cross-config.d/$arch support. (Closes: #493180)

 -- Neil Williams <codehelp@debian.org>  Tue, 10 Feb 2009 16:53:25 +0000

dpkg-cross (2.3.4) unstable; urgency=low

  * Fix "dpkg-cross fails to provide correct .pc for libpthread-stubs0-
    dev" by marking pkgconfig files in /usr/share/ as 'useful'.
    (Closes: #506229)
  * Allow an exception so that dpkg-cross can handle symlinks to 
    pkgconfig files. (Closes: #506956)
  * Debian/DpkgCross.pm :Add a note to endiannes function that dpkg-
    cross needs to be installed as well as the perl module in order for
    the function to retrieve the endianness data.
  * Add missing cache values for findutils to allow findutils to remove
    the cache file. (Closes: #513203)

 -- Neil Williams <codehelp@debian.org>  Tue, 27 Jan 2009 09:21:10 +0000

dpkg-cross (2.3.3) unstable; urgency=low

  * Migrate gccross to emdebian-tools
  *  + to aid migration of dpkg-cross into dpkg and dpkg-dev
  *  + to retain gccross support until all packages are fixed
  *  + to implement support for marking all packages using gccross as
    buggy.
  * drop buildcross which is now implemented inside emdebuild if 
    '[X-]Build-Cross-Libtool: yes' is used in debian/xcontrol
  * dpkg-cross : migrate manpage content to POD for compatibility with
    dpkg-dev
  * migrate default options into the module instead of the conffile
  * check for and remove dangling symlinks (Closes: #499292) by
    stopping the creation of symlinks for files that are not
    interesting.
  * remove obsolete files from CVS and source tarball
  * using pod2man, so drop docbook-to-man build-depends
  * Improve error checking in case  value really is undefined
  * Add dynamic archtable settings to make it easier to support uClibc
    permutations: please support wrong architecture (Closes: #447427)
  * dpkg-cross : Remove cairo hack and finish simplifying the regexp
    lines to remove unnecessary escape characters.
  * debian/rules: final tweak to update from i18n update, clean up
    module man page

 -- Neil Williams <codehelp@debian.org>  Tue, 28 Oct 2008 16:42:35 +0000

dpkg-cross (2.3.2) unstable; urgency=low

  * Support package-specific cache values
  * config/cross-config.arm config/cross-config.armel : load the global
    variables before the previous values to retain the architecture-
    dependent values
  * config/cross-config.cache : drop orbit data (specialized support
    elsewhere) and reorganise blocks alphabetically
  * dpkg-cross : Implement support for generated cache data in
    /etc/dpkg-cross/cross-config.d/ and architecture-dependent sub
    directories
  * config/cross-config.cache : wrap cache values in package and
    package_name conditionals. Restrict loading of files in
    /etc/dpkg-cross/cross-config.d/ to files matching the package_name
    variable assigned within ./configure.
  * dpkg-cross : Support installing cmake files in -dev packages.
  * Adapt the experimental CMake example file for (hopefully) different
    Linux architectures
  * Add a few CMake tips to the dpkg-cross manpage

 -- Neil Williams <codehelp@debian.org>  Thu, 11 Sep 2008 21:05:10 +0100

dpkg-cross (2.3.1) unstable; urgency=low

  * Support collected cache values for system-wide comparisons

 -- Neil Williams <codehelp@debian.org>  Wed, 27 Aug 2008 23:23:55 +0100

dpkg-cross (2.3.0.1) unstable; urgency=low

  * [INTL:ru] Russian debconf templates translation (Closes: #497234)
  * [INTL:uk] Ukrainian debconf templates translation.
  * [INTL:ka] Georgian debconf templates translation.
  * [INTL:sv] po-debconf file for dpkg-cross (Closes: #502108)

 -- Neil Williams <codehelp@debian.org>  Wed, 22 Oct 2008 11:22:41 +0100

dpkg-cross (2.3.0) unstable; urgency=low

  * Same change as apt-cross in the buginfo.sh script:
  * bashism in /bin/sh script (Closes: #489567)
  * corrupted pkg-config data for libcairo-directfb (Closes: #483076)
  * -a amd64 should search /emul/ia32-linux (Closes: #463588)

 -- Neil Williams <codehelp@debian.org>  Tue, 15 Jul 2008 14:10:28 +0100

dpkg-cross (2.2.4) unstable; urgency=low

  * Debian release incorporating Emdebian changes
  * Restore po-debconf to Build-Depends (solves lintian warning)

 -- Neil Williams <codehelp@debian.org>  Thu, 26 Jun 2008 17:28:58 +0100

dpkg-cross (2.2.3) unstable; urgency=low

  * New Emdebian release.
  * Downgrade debconf question to priority medium.

 -- Neil Williams <codehelp@debian.org>  Wed, 04 Jun 2008 16:27:12 +0100

dpkg-cross (2.2.2) unstable; urgency=low

  * New Emdebian release
  * Support lib32/ for mips n32 toolchain support

 -- Neil Williams <codehelp@debian.org>  Fri, 30 May 2008 15:32:09 +0100

dpkg-cross (2.2.1) unstable; urgency=low

  * General support for querying endianness of an architecture.
  * Update standards version (no changes)
  * Add Cvs-CVS field to debian/control
  * Reinstate detect_arch for improved build test checks in emdebian-
    tools
  * get_endianness: new function for TDeb support

 -- Neil Williams <codehelp@debian.org>  Sun, 09 Mar 2008 14:27:00 +0000

dpkg-cross (2.2.0) unstable; urgency=low

  * Post remove script fails on purge (Closes: #466514)
  * fix_la_file in dpkg-cross does not properly match all dependencies
    (Closes: #440332)

 -- Neil Williams <codehelp@debian.org>  Tue, 19 Feb 2008 12:53:11 +0000

dpkg-cross (2.1.1) unstable; urgency=low

  * Fix typo in keep temp logic

 -- Neil Williams <codehelp@debian.org>  Fri, 07 Dec 2007 21:06:20 +0000

dpkg-cross (2.1.0) unstable; urgency=low

  * Support retaining temporary archives
  * Fix lintian warning over NEWS formatting
  * use Build-Depends-Indep
  * avoid possible bashism in postrm script

 -- Neil Williams <codehelp@debian.org>  Tue, 04 Dec 2007 21:02:30 +0000

dpkg-cross (2.0.1) unstable; urgency=low

  * support debconf-updatepo in debian/rules clean
  * Support misc:Depends for cleaner debconf dependency handling
  * Add a reportbug script for cross-compile configuration debugging
  * tie dpkg-cross to libdebian-dpkgcross-perl at the same version

 -- Neil Williams <codehelp@debian.org>  Tue, 30 Oct 2007 12:04:12 +0000

dpkg-cross (2.0.0) unstable; urgency=low

  * Replace the diversions
  * buildcross: new shell library to replace perl dpkg-buildpackage
    diversion
  * remove lintian overrides for previously diverted scripts
  * ChangeLog: close old file and use only the installed debian
    changelog
  * Remove old diversions when installing instead of removing
  * crosstools: removed
  * Merge dpkg-shlibdeps into dpkg (Closes: #283626)
  * replace cross-compile.example with cross-compile.sample
  * dpkg-cross should also handle /usr/lib/ldscripts (Closes: #401058)
  * shlibs must also search /usr/$libpath (Closes: #32340)
  * dpkg-buildpackage -S is confused by other-arch changes file.
    (Closes: #429555)
  * Debian/DpkgCross.pm: add new function convert_filename($)
  * NEWS,
    README.debian,
    README.cvs: Start the long goodbye - signal the intention to
    remove dpkg-cross after Lenny.
  * Missing a dependency on libfile-homedir-perl (Closes: #440043)
  * debconf dependency unsatisfiable with cdebconf (Closes: #441940)
  * Generate POD content and update man page for latest changes
  * Skip pre2 - set 2.0.0 for unstable due to changes in dpkg-dev 1.14.7

 -- Neil Williams <codehelp@debian.org>  Mon, 08 Oct 2007 22:11:09 +0100

dpkg-cross (1.99+2.0.0pre1) experimental; urgency=low

  * refactoring for a 2.0.0 release.
  * config.common linux specific (Closes: #72405)
  * [Patch] Check dpkg-architecture before falling back to internal
    tables (Closes: #430507)
  * cross-config.common, cross-config.${arch_os} files (Closes: #284275)
  * broken CC_FOR_BUILD handling in diverted
  dpkg-buildpackage (Closes: #437507)
  * Migrate to CDBS
  * broken on anything but GNU/linux (Closes: #115247)

 -- Neil Williams <codehelp@debian.org>  Wed, 15 Aug 2007 07:20:26 +0100

dpkg-cross (1.39) unstable; urgency=low

  * [INTL:pt] Portuguese translation for debconf messages
  (Closes: #430991)
  * dpkg-cross diversion of dpkg-buildpackage does not support all
    options (Closes: #416437)
  * Fails to convert libc6-dev-ppc64_2.5-9_powerpc.deb due to symlink
    problem (Closes: #426333)

 -- Neil Williams <codehelp@debian.org>  Thu, 05 Jul 2007 22:34:24 +0100

dpkg-cross (1.38) unstable; urgency=low

  * [INTL:it] Italian debconf templates translation (Closes: #425260)
  * Implement new --exclude option to drop specified dependencies
  from the cross-built package, e.g. architecture-independent dependencies.

 -- Neil Williams <codehelp@debian.org>  Sun, 20 May 2007 15:36:30 +0100

dpkg-cross (1.37) unstable; urgency=low

  * add support for "cross" -dev packages for non-default libc
  (Closes: #422871)
  * migrate armel support to unstable.
  * [INTL:nl] Dutch po-debconf translation (Closes: #415522)
  * symlinks in linux-header packages are not converted 
  (Closes: #379004)

 -- Neil Williams <codehelp@debian.org>  Wed, 09 May 2007 12:12:45 +0100

dpkg-cross (1.36) experimental; urgency=low

  [ Wookey ]
  * Add armel architecture (Closes: #414085)
  * Update docs to point at debian-embedded list

  [ Neil Williams ]
  * [INTL:ja] Japanese debconf templates translation (Closes: #412999)
  * Uploading to experimental due to Etch release and preliminary status of
    armel support.

 -- Neil Williams <codehelp@debian.org>  Wed, 14 Mar 2007 18:04:59 +0000

dpkg-cross (1.35) unstable; urgency=low

  * [l10n] Czech translation of dpkg-cross debconf messages
    (Closes: #409086)
  * [INTL:de] initial German debconf translation (Closes: #409203)
  * [INTL:fr] French debconf translation (Closes: #409294)
  * Should split out "Choices" in debconf templates to make translators
    work easier (Closes: #409146)

 -- Neil Williams <codehelp@debian.org>  Sat, 10 Feb 2007 11:34:39 +0000

dpkg-cross (1.34) unstable; urgency=low

  * Fix: Failed to preconfigure: "no config file: /etc/dpkg-cross/cross-
    compile.sample"... (Closes: #408354)

 -- Neil Williams <codehelp@debian.org>  Sat, 27 Jan 2007 18:54:03 +0000

dpkg-cross (1.33) unstable; urgency=low

  * Implement debconf handler to set a default architecture for cross
  building. Can be overridden using ~/.dpkg-cross/cross-compile or
  on the command line.
  * Add myself as new co-maintainer, as discussed on debian-embedded
  mailing list.

 -- Neil Williams <codehelp@debian.org>  Sun, 21 Jan 2007 13:14:18 +0000

dpkg-cross (1.32) unstable; urgency=low

  * Detect powerpc 64-bit binaries and select proper tools for those. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Sun, 15 Oct 2006 15:16:28 +0400

dpkg-cross (1.31) unstable; urgency=low

  * Don't discard .so symlinks from library development packages.
    Fix by Alexander Shishkin <alexander.shishckin@gmail.com>.
    Closes: #388627.

 -- Nikita V. Youshchenko <yoush@debian.org>  Fri, 22 Sep 2006 11:09:36 +0400

dpkg-cross (1.30) unstable; urgency=low

  * When converting packages, don't discard external symlinks if those
    point to objects under /usr/src/. Needed for linux-headers packages.
    Closes: #379004.
  * When converting packages, don't discard files under /usr/src, but move
    those to $crossdir/src/. Needed for linux-headers packages.
    Suggested by Marcus Better <marcus@better.se>.
  * Added -nw option to dpkg-buildpackage wrapper, that disables usage 
    of gccross. Closes: #373193. See log of that bug for details.

 -- Nikita V. Youshchenko <yoush@debian.org>  Mon, 24 Jul 2006 17:08:49 +0400

dpkg-cross (1.29) unstable; urgency=low

  * Make usage of gccross wrapper more verbose (Closes: #374778).
  * Fixed a bug in converting package with non-empty Pre-Depends: field
    (Closes: #378930, #378931).
  * Safer way of dealing with temporary directories. 

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 20 Jul 2006 10:50:01 +0400

dpkg-cross (1.28) unstable; urgency=low

  * Added tzdata to default 'removedeps' (request from NIIBE Yutaka
    <gniibe@fsij.org>); also added gcc-4.1-base to default 'keepdeps'.
  * Set maintainer to Debian Embedded Group <debian-embedded@lists.debian.org>,
    set interested people as uploaders.
  * Set Standards-Version to 3.7.2, no changes needed.
  * Rased DH_COMPAT to 5, rased version in versioned build dependency
    on dephelper to 5.
  * Added debhelper also to Build-Depends:, not only Build-Depends-Indep, to
    fix lintian error.

 -- Nikita V. Youshchenko <yoush@debian.org>  Thu, 18 May 2006 06:57:55 +0400

dpkg-cross (1.27) unstable; urgency=low

  * Fixes from Volker Grabsch <vog@notjusthosting.com>:
    - fixed a typo in variable setting
    - added nm, ar, ranlib, windres to %std_tools,
    - added w32 lines to get_tool tables.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 18 Apr 2006 10:54:37 +0400

dpkg-cross (1.26) unstable; urgency=low

  * Update default paths and prefixes, to match changes in debian
    toolchain. Mostly by adding '-gnu' here and there.
  * Now dpkg-cross adds additional provides-depends logic to generated
    -$arch-cross packages, to avoid -$arch-cross packages generated
    prior to path changes to satisfy deps of packages generated post
    those changes.
  * Updated list of dpkg-architecture variables to set when
    cross-compiling, to match current dpkg-architecture.
  * dpkg-shlibdeps: addded "elf64-x86-64" and "elf64-powerpc" to
    @crosslib64formats, as GOTO Masanori <gotom@debian.or.jp> requested.
  * Added objdump and objcopy wrappers similar to strip wrapper. Seem to
    be needed by dh_strip calls from gcc-4.0 package builds.
  * Added armeb architecture support (Closes: #336080).
  * Fixed a typo in dpkg-buildpackage (Closes: #334282).
  * Added gcc-*-base to keepdeps in default /etc/dpkg-cross/cross-compile.
  * Removed any reference to unused 'crossinfo' variable.
  * Added cross-config.{arm,armeb}, created by  Lennert Buytenhek
    <buytenh+debian@wantstofly.org>.
  * If dpkg-deb -b fails, show it's output even if not verbose.
  * When merging .changes files, remove 'source' from arch field of the
    merged file name. See #322926 for details.
  * Set Maintainer to my debian.org e-mail.
  * Bumped Standards-Version to 3.6.2, no changes needed.

 -- Nikita V. Youshchenko <yoush@debian.org>  Sat,  3 Dec 2005 23:39:29 +0300

dpkg-cross (1.25) unstable; urgency=low

  * Create md5sums files for -arch-cross packages.
  * Added /etc/dpkg-cross/cross-compile lines for glibc package as suggested
    by Jorik Jonker <jorik@dnd.utwente.nl>.
  * Included patch for cross-config.m32r from #284439.
  * Set umask earlier when converting packages; this may fix problem (that
    I could not reliably reproduse) with bad permissions of directories
    in converted packages if umask is restrictive.
  * Added patch from Alexandra N. Kossovsky <sasha@oktetlabs.ru> that adds
    amd64 as supported target (Closes: #308945).

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Thu,  5 May 2005 23:33:41 +0400

dpkg-cross (1.24) unstable; urgency=low

  * Use /etc/dpkg-cross and ~/.dpkg-cross instead of /etc/dpkg and ~/.dpkg.
  * On upgrade from older versions, move dpkg-cross files from /etc/dpkg/ to
    /etc/dpkg-cross/, on downgrade to older versions do the reverse.
  * Moved gccross from /usr/bin to /usr/share/dpkg-cross, because this script
    is not intended to be implicitly called by user.
  * Added NEWS.Debian, with a note about moving conffiles.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Wed, 23 Feb 2005 18:50:32 +0300

dpkg-cross (1.23) unstable; urgency=low

  * Don't sign changes file if dpkg-buildpackage.orig call failed.
    Closes: #294356.
  * Fixed package description started with capital letter. Thanks lintian.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Wed,  9 Feb 2005 23:40:36 +0300

dpkg-cross (1.22) unstable; urgency=low

  * Become official maintainer, try 2.
  * Create temporary directories in a safe way.
  * Removed workarounds of ancient dpkg-buildpackage[.orig] bugs (versioned
    dependency on dpkg-dev should ensure recent version of
    dpkg-buildpackage.orig).
  * Always pass -uc to dpkg-buildpackage.orig, and call sign command from
    dpkg-buildpackage wrapper after possible merge of .changes files.
    Closes: #257627.

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Tue, 11 Jan 2005 00:25:45 +0300

dpkg-cross (1.21) unstable; urgency=low

  * Become official maintainer.
  * Add support for DPKGCROSSARCH variable to pass information about
    current target between tools (using ARCH causes problems with packages
    that use it for their own).
  * Changelogs of my 'intermediate releases':

    1.20.6:

    * Add -uc to dpkg-buildpackage.orig call only if existing .changes file
      does not contain information for $arch.

    1.20.5:

    * Instead of unsetting LD_LIBRARY_PATH, just clean it of paths that don't
      start with /usr/lib or /usr/share. This should avoid fakeroot breakage.

    1.20.4:

    * Implemented 'unset' feature for configuration file (Closes: #246061).
    * Unset LD for e2fsprogs in default /etc/dpkg/cross-compile.

    1.20.3:

    * When running external tools which output is parsed, set LC_ALL=C.
      Closes: #283804.
    * Remove usused sub getsoname from dpkg-shlibdeps.

    1.20.2:

    * Unset LD_LIBRARY_PATH in strip and dpkg-shlibdeps.
      It is not needed, and could result into attempts to link non-native
      libraries into tools that are called.
    * In tool detection code, use 'file -L' to dereference symlinks.
    * Handle strip options with parameters in strip wrapper.
    * Don't try to call objdump on non-binaries in dpkg-shlibdeps.
    * Don't set STRIP variable to $(TARGET)-strip, we have strip wrapper now.
    * Remove example setting STRIP in default /etc/dpkg/cross-compile,
      because the example is no longer valid with strip wrapper.
    * Above items fix all 282020 issues. Closes: #282020.
    * Don't set cross names for 'ar' and 'ranlib' because these tools are
      actially architecture-independent, and additional vars break some builds.
      Closes: #283627.

    1.20.1:

    * Applied patch from NIIBE Yutaka <gniibe@fsij.org> that adds support
      for m32r architecture (Closes: 280714).
    * Call dpkg-buildpackage.orig with -uc if .changes file merge is going to
      happen after package build (Closes: 257627).

 -- Nikita V. Youshchenko <yoush@cs.msu.su>  Thu,  6 Jan 2005 14:18:20 +0300

dpkg-cross (1.20) unstable; urgency=low

  By Nikita V. Youshchenko <yoush@cs.msu.su>:

  * Moved Build-Depends into Build-Depends-Indep, abd cleaned up
    debian/rules a bit.
  * Move dpkg-cross.pl to /usr/share/perl5, and don't install it executable.
  * Mention /usr/share/common-licenses/GPL in debian/copyright.
  * Add lintian override file to stop lintian complains about no manual
    pages for commands that dpkg-cross package diverts.
  * Changed Standards-Version to 3.6.1 (after doing appropriate checks). 

  By Raphael Bossek <bossekr@debian.org>:

  * Typo in detection of recursive gccross calls fixed.
  * Gccross documentation updated.

  By Nikita V. Youshchenko <yoush@cs.msu.su>:

  * When setting up temporary directory with gccross symlinks, link all
    names that look like available compilers for target.

  By Nikita V. Youshchenko <yoush@cs.msu.su>:

  * Changed default crossbase to /usr. In fact, such default has been
    there in default /etc/dpkg/cross-compile for ages, but if that line
    was not used (e.g. because of use of user configuration file),
    crossbase happened to change to /usr/local. That is not consistent
    with cross-toolchain, so should be fixed.

 -- David Schleef <ds@schleef.org>  Fri, 05 Nov 2004 16:08:53 -0800

dpkg-cross (1.19) unstable; urgency=low

  Changes by Nikita Youshchenko <yoush@cs.msu.su>

  * An improved version of gccross is now used by default when
    cross-compiling debian packages.
  * Fixed cross-tool autodetection for m68k and s390x architecturs.

 -- David Schleef <ds@schleef.org>  Wed, 06 Oct 2004 14:05:32 -0700

dpkg-cross (1.18) unstable; urgency=low

  Changes by Nikita Youshchenko <yoush@cs.msu.su>

  * Added strip wrapper that tries to detect architectures of given
    binaries and call appropriate strip programs.
    Modified dpkg-buildpackage wrapper to add strip wrapper to PATH.
    Removed dh_strip wrapper and diversion of dh_strip (Closes: #265620).
  * Stop adding /usr/local/bin to path - user who needs it probably
    already has it.
  * Removed ancient dpkg-cross-convert - it is already 5 years old,
    and is probably not compatable with current dpkg-cross.
  * Note at the top of README.Debian that information there is outdated.
  * Fix a typo in dpkg-cross script that caused '-aarm' not work.
  * Depend on 'binutils' and on 'file' because scripts use programs provided
    by those packages.

  Changes by Raphael Bossek <bossekr@debian.org>

  * Added gccross as wrapper for cross-compilers.
  * Fixed proceeding of /usr/(src|lib) directories with dpkg-cross.

 -- David Schleef <ds@schleef.org>  Tue, 24 Aug 2004 18:35:30 -0700

dpkg-cross (1.17) unstable; urgency=low

  Changes done by Nikita Youshchenko <yoush@cs.msu.su>
  
  * Divert dh_strip with a version that tries to use strip binary appropriate
    for cross-compiling. This in fact was in 1.16, but I forgot to add this to
    changelog.
  * Removed missed debugging code that caused dpkg-cross to print "FAIL" and
    exit if target-cpp is available. Closes: #259516.
  * Fixed a typo in dpkg-cross.pl that caused variable values to be lost.
  * Implemented support for lib64. Closes: #245835.

 -- David Schleef <ds@schleef.org>  Thu, 15 Jul 2004 01:37:41 -0700

dpkg-cross (1.16) unstable; urgency=low

  Changes done by Raphael Bossek <bossekr@debian.org> and Nikita Youshchenko
  <yoush@cs.msu.su>

  * Stop using sed templates for the scripts
    - dpkg-cross.in renamed to dpkg-cross
    - dpkg-buildpackage.in renamed to dpkg-buildpackage
    - dpkg-shlibdeps.in renamed to dpkg-shlibdeps
    - dpkg-cross-convert.in renamed to dpkg-shlibdeps
    - common functions moved to dpkg-cross.pl
    - confinit, conf.sed, confsub removed
    - Makefile adopted
  * Fix dpkg-shlibdeps to work correctly if several binaries use same
    shared libraries
  * Fix typo in dpkg-cross -A option parsing
  * Update debian/* using latest dephelper template
  * Update copyright information in several files
  * Read ~/.dpkg/cross-compile instead of /etc/dpkg/cross-compile if
    the first file exists
  * New manual documentation based on DocBook SGML with some fixes of the man
    pages.
  * Updated GNU AutoTools environment.
  * Search for pkg-config through PKG_CONFIG_PATH fixed.

 -- David Schleef <ds@schleef.org>  Thu, 24 Jun 2004 10:32:49 -0700

dpkg-cross (1.15) unstable; urgency=low

  Changes were all done by Nikita V. Youshchenko <yoush@cs.msu.su>.
  Version numbers and changelog entries correspond to the packages
  hosted at his site, which is now completely merged.

  * dpkg-cross.in: create /usr/share/doc/XXX directory in converted packages,
    and put a readme file there.
    - now each converted package always has an unique file, so situation
      described in #231511 is cleanly impossible. Closes: #231511.
  * dpkg-cross.in: accept -A|--convert-anyway option, that will make
    dpkg-cross to convert package even it does not provide any files useful for
    cross-compilation.
  * dpkg-cross.1: document -A option.
  * dpkg-shlibdeps.in: honour SHLIBSLOCALFILE and SUBSTVARSFILE environment
    variables as default locations for shlibs.local and substvars files. 

  1.14.7

  * dpkg-cross.in: rewrite dpkg-cross -b procedure, using different logic.
    Now it first completely unpacks source deb, and only then decides what
    files to move or modify.
    Now it should not loose asm/arch symlink when processing
    linux-kernel-headers.

  1.14.6

  * debian/rules: move commands from binary-arch to binary-indep (everything
    built is architecture-independent)
  * debian/rules: don't run dh_strip and dh_shlibdeps - both are useless for
    this package
  * Implemented enhanced addition variable setting control, after some
    discussion with EmDebian people. See cross-compile(5) for more
    information. Note that the new format of this file is completely
    backward-compatable.
    Example of usage for EmDebian added as a comment to the default
    /etc/dpkg/cross-compile file.
  * Removed zlib1g-arm-cross.deb that was forgotten in the build directory
    of 1.14.5 version.

  1.14.5

  * dpkg-shlibdeps.in: fix shlibs.local handling. Now it doesn't try to use
    dpkg --search to find a library from the package being built.
    Closes: #221646.
  * dpkg-cross.in: fail with appropriate message on attempt to convert
    already-converted package. 

  1.14.4

  * dpkg-buildpackage.in: set PATH in environment, not in MAKEFLAGS.
    Closes: #139182.
  * dpkg-buildpackage.in: when merging changes file, merge also Binary:
    and Description: fields, to handle the case when different sets of binary
    packages are built for different architectures. Closes: #221285.

  1.14.3

  * dpkg-cross.in: try to use fakeroot when building a package as user,
    issue a warning if fakeroot is not available. Closes: #221993.
  * debian/control: suggest fakeroot.
  * dpkg-buildpackage.in: don't ignore -uc. Closes: #217547.

  1.14.2

  * Fix dpkg-shlibdeps wrapper to handle shlibs with 'libxxx-vvv.so' sonames
    (needed e.g. for libdb4.2)

  1.14.1

  * Added /etc/dpkg/cross-compile options to handle non-library dependences
    better (Closes: #228616).
    Changed the patch a bit to remove complete dependency if one of
    alternatives is removed.
    Example: libssl depends on debconf | debconf-2.0; debconf is obviously not
    needed for cross-compile environment setup, so debconf is in removedeps,
    and other alternatives for the dependency will be discarded.
  * Detect .so files that are ldscripts, and fix paths there (Closes: #229241).
  * Supress error message from find when there are no pkgconfig files in the
    package.
  * Keep symlinks in pkgconfig directory
  * Don't print tons of junk when moving header files
  * Allow Architecture: all packages to be converted. There is a rationale to
    convert them sometimes (e.g. x-dev package that contains only headers)
  * Don't fail if resulting package contains headers only
    - dpkg-cross is now capable to process linux-kernel-headers
      (Closes: #230595, #222168)
  * Remove unused files and directories from source package. This makes
    package almost 10 times smaller :).
  * Really print error message if source file for dpkg-cross -b can't be
    opened.

 -- David Schleef <ds@schleef.org>  Fri, 11 Jun 2004 10:07:40 -0700

dpkg-cross (1.14) unstable; urgency=low

  * Taking over package.  Never got a response from Roman (Closes: #211013)
  * Add better arch handling (may fix #72405, #115247)

 -- David Schleef <ds@schleef.org>  Wed, 01 Oct 2003 13:58:19 -0700

dpkg-cross (1.13.2) unstable; urgency=low

  * Non-maintainer upload.
  * I'm intending to take over the package, as I haven't heard from
    the maintainer in over 6 weeks.
  * Add code to mangle pkgconfig files
  * debian/control: Add debhelper to build-depends
  * Add cross-config.${arch} files for a number of architectures
    (Closes: #127723)
  * Handle libtool .la files (Closes: #160687)
  * dpkg-cross.in: set umask, since 077 causes failures in dpkg-deb
    (Closes: #126321)
  * Change /usr/doc/ to /usr/share/doc (Closes: #79746)
  * dpkg-shlibdeps.in: Disabled arch check that fails on mips
    (Closes: #86808)

 -- David Schleef <ds@schleef.org>  Fri, 28 Feb 2003 15:33:01 -0800
  
dpkg-cross (1.13.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make /etc/dpkg/cross-config.mips a conffile (closes: #132202).

 -- Colin Watson <cjwatson@debian.org>  Sat,  9 Feb 2002 13:21:31 +0000

dpkg-cross (1.13) unstable; urgency=low

  * Changed maintainer email address.
  * dpkg-cross.in: Set LC_ALL=C when calling tar, as we parse the error
    messages and expect them to be in English.

 -- Roman Hodek <roman@hodek.net>  Tue,  5 Sep 2000 17:31:00 +0200

dpkg-cross (1.12) unstable; urgency=low

  * dpkg-cross: Added debianutils to @omit_depends, so that current libc6
    can be converted and doesn't depend on a spurious
    debianutils-m68k-cross.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 2 Mar 2000 10:24:37 +0100

dpkg-cross (1.11) unstable; urgency=low

  * dpkg-shlibdeps: New option -c to use a different config file than
    /etc/dpkg/cross-compile. (Closes: #57937)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 14 Feb 2000 11:08:23 +0100

dpkg-cross (1.10) unstable; urgency=low

  * dpkg-shlibdeps: Fix thinko with new elf-format checking code (regexp
    for format overwrote $2).

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 26 Oct 1999 16:25:47 +0200

dpkg-cross (1.9) unstable; urgency=low

  * dpkg-shlibdeps: Don't check for elf32-$arch in objdump output, but
    also allow elf64. (Closes: #48270)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 25 Oct 1999 13:56:34 +0200

dpkg-cross (1.8) unstable; urgency=low

  * dpkg-buildpackage: Another retval change...: If dpkg-buildpackage
    caught a signal, return signal value + 128.
  * dpkg-cross: when extracting dirs, from the input .deb's data.tar.gz,
    also use names starting with "./" (newer tar versions name files like
    this.) Closes: #48006
  * dpkg-buildpackage wrapper: now supports signing-related options like
    current dpkg-buildpackage (-spgp, -sgpg, -k, -m). I.e., it also uses
    gpg if dpkg-buildpackage would.
  * FHS transition (Standards-Version 3.0.1)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 22 Oct 1999 14:17:32 +0200

dpkg-cross (1.7) unstable; urgency=low

  * cross-config.mips: new file contributed by Ulf Carlsson
    <ulfc@thepuffingroup.com>.
  * cross-config.linux: some additions also by Ulf.
  * dpkg-buildpackage: Hope preserving the exit status now really works
    and really closes: #41259
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 25 Aug 1999 10:04:33 +0200

dpkg-cross (1.6) unstable; urgency=low

  * New method for passing cross variables to Makefiles. They're not put
    into the environment anymore and MAKEFLAGS=-e is used to make read
    them. Instead, the variable definitions are appended to MAKEFLAGS
    itself. (The same mechanism is used my make to pass command line
    overrides to sub-makes.)
    The advantage is that MAKEFLAGS and thus the definitions are still
    under the control of make. The definitions can be changed if a
    Makefile calls make with more/different definitions on the command
    line. Also, there are no side effects anymore by other environment
    variables not under the control of dpkg-cross (e.g. the MANPATH
    problem, a CFLAGS exported by top-level Makefile overriding CFLAGS in
    sub-Makefiles).
  * cross-config.gnu: new file for GNU/Hurd OS.
  * cross-config.common: new file for stuff common to Linux and Hurd.
  * cross-config.common: now sets $host to avoid that configure runs
    config.guess, which fails if $CC is a cross compiler.
  * cross-config.{i386,m68k}: some more sizeof definitions.
  * cross-config.*, cross-compile.example: Add notice that personal
    additions should be mailed to me so that I can include them in future
    releases.
  * dpkg-cross: when building a cross package, don't omit symlinks that
    point to a directory.
  * dpkg-buildpackage: The wrapper now preserves the exit status of the
    original dpkg-buildpackage. Closes: #41259
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 10 Aug 1999 13:43:47 +0200

dpkg-cross (1.5) unstable; urgency=low

  * dpkg-buildpackage: Don't Read debian/changelog if only option is -h.
    closes: #37369.
  * Changed perl dependency to perl5|perl.
  * The dpkg-buildpackage now also sets the new environment variables
    DEB_HOST_{ARCH,GNU_CPU,GNU_OS,GNU_TYPE}.
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 5 Jul 1999 13:21:47 +0200

dpkg-cross (1.4) unstable; urgency=low

  * dpkg-shlibdeps: Fix error message when lib not found (was wrong path
    if $CROSSROOT set.) (Fixes: #36679)
  * dpkg-buildpackage: Call original dpkg-buildpackage via shell command
    "." instead of "source", because ash doesn't understand the latter.
    (Fixes: #36887)
  * dpkg-cross: When installing (or just converting) packages, have a
    special look at libc.so, which is no real lib but a linker script. It
    contains absolute paths, which need to be rewritten.
  * Updated Standards-Version to 2.5.0.0 (no changes).

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 29 Apr 1999 14:21:01 +0200

dpkg-cross (1.3) unstable; urgency=low

  * Some changes to make dpkg-cross work for Hurd: There, cross compiling
    is usually done with a Hurd installation on the same disk (in another
    partition).
     * New config variable set -$(ARCH)= sets path of cross
       installation for a specific architecture.
     * In dpkg-shlibdeps, strip $crossroot (if set) from lib names, and
       look in the cross installation under $crossroot for files
       (shlibs.default, *.shlibs files, etc.)
     * In dpkg-buildpackage, set binutils env vars (LD, AR, ...) only if
       target CPU is different.
    Thanks to Santiago Vila <sanvila@unex.es> for ideas and help in
    testing this.
  * Added Suggests: binutils-multiarch, since those are available as a
    Debian package now and are needed for many applications of dpkg-cross.
  * Add CXX to list of environment variables to change.
  * In the Makefile added dependencies of all scripts on confinit and
    confsub.
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 10 Nov 1998 17:40:07 +0100

dpkg-cross (1.2) unstable; urgency=low

  * Also omit cpp in dependencies of cross packages.
  * New variable default_arch in /etc/dpkg/cross-compile. This can be used
    to avoid the -a option to dpkg-cross, if there is only one or one
    mainly used cross installation.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 14 Oct 1998 16:52:40 +0200

dpkg-cross (1.1) unstable; urgency=low

  * Remove #!/bin/sh from /etc/dpkg/cross-config.*, since Lintian
    complained about it.
  * Switch from debstd to debhelper.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 11 Mar 1998 15:32:06 +0100

dpkg-cross (1.0) unstable; urgency=low

  * Major reorganization of package installation (dpkg-cross), based on
    great idea by Joey Hess. (Fixes: #15725) dpkg-cross doesn't implement
    its own package management anymore, but uses dpkg for this. Therefore
    it converts to-be-installed packaged to *-arch-cross packages by
    moving files around and rewriting control infos.
  * New tool dpkg-cross-convert to convert old-style installations to new
    dpkg-based ones.
  * Little rewrites to dpkg-shlibdeps due to new installation scheme (now
    uses dpkg --search instead of own function, new location of shlibs
    files)
  * New options -v and -q to dpkg-cross (verbose/quiet)
  * New actions --update and --query for dpkg-cross: They update all
    installed packages if updates are available, or list those updates,
    resp.
  * Standards-Version: updated to 2.4.0.0

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 22 Jan 1998 16:27:29 +0100

dpkg-cross (0.6) unstable; urgency=low

  * In the dpkg-buildpackage wrapper, put $crossbin first into $PATH, so
    that cross compiling binaries can take precedence over native ones.
    (fixes: Bug #15726)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 10 Dec 1997 11:37:57 +0100

dpkg-cross (0.5) unstable; urgency=low

  * Make maintainer=CURRENTUSER work (the change for it was lost somehow)
    (fixes: Bug#15715)
  * Check for no options at all to dpkg-cross (fixes: Bug#15712)
  * Do not remove kernel headers (include/{linux,asm,scsi}) if those dirs
    are symlinks, i.e. if the user has removed the files coming with
    libc-dev and replaced them by symlinks into a current source.
    (Otherwise dpkg-cross would remove the files in the kernel source!)
  * Reject libc5 compability packages (cannot be handled (yet) by
    dpkg-cross).
  * Ignore the /usr/include/X11 symlink (provokes a tar error if xlib*-dev
    already installed).
  * Fix some typos and minor mistakes.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 9 Dec 1997 15:52:37 +0100

dpkg-cross (0.4) unstable; urgency=low

  * Fixed bug in dpkg-cross that made it blind for packages with a '.' in
    their name...
  * dpkg-cross -h now the same as dpkg-cross --help.
  * New option -l/--list to dpkg-cross, with similar functionality to dpkg
    -l (short listing of packages installed matching a pattern)
  * dpkg-cross option --list renamed to --listfiles for consistency with
    dpkg

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Mon, 3 Nov 1997 15:22:34 +0100

dpkg-cross (0.3) unstable; urgency=low

  * On dpkg-cross -i, also ignore tar messages like "error exit delayed".
  * Fix typo ($dpkg_errs instead $tar_errs) in dpkg-cross.in
  * In dpkg-shlibdeps, change objdump call and method how to find needed
    libraries; the objdump in binutils-2.8 doesn't have the -k option (raw
    section contents) anymore, so use --private-headers instead and look
    for ELF NEEDED entries in the dynamic section. Also changed
    debian/README to reflect this change.
  * Add special handling for -m option (see README), to work around a bug
    in dpkg-buildpackage 1.4.0.17

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 19 Jun 1997 11:38:03 +0200

dpkg-cross (0.2) unstable; urgency=low

  * Fixes for packages using imake:
  * IMAKECPP is defined in the environment to $(ARCH)-linux-cpp, to pass
    correct architecture (via standard defines) to the imake templates.
  * USRLIBDIR is defined to $(CROSSLIB), otherwise libraries are not
    found or dependencies to them are wrong.
  * MANPATH is explicitly removed from the environment, because the same
    name is used in imake-generated Makefiles, and since we use make -e,
    the user's setting would override the standard definition, causing
    havoc when installing man pages :-)
  * Fixes for packages using GNU autoconf:
  * CONFIG_SITE is set to /etc/dpkg/cross-config.linux, which in turn
    includes an target-arch specific file. There, several values for
    configure are defined that cannot be determined in an cross compiling
    environment.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 16 Apr 1997 16:02:45 +0200

dpkg-cross (0.1) unstable; urgency=low

  * Initial Release.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Sun, 9 Feb 1997 00:52:50 +0100

Local variables:
mode: debian-changelog
End:
